# Generate/Send Customer Statement Generates and optionally sends a customer statement Endpoint: POST /statements/{tenantId}/generate Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed ## Request fields (application/json): - `business_unit_ids` (array, required) - `business_unit_restriction` (string) Determines if/how to restrict the type of invoices to Enum: "exclude", "include", "none" - `contact_id` (string, required) - `customer_type` (string, required) Enum: "contact", "organization" - `email_address` (string) Email address to send statement, if is on file - `email_statement` (boolean, required) - `invoice_type_restriction` (string) Enum: "exclude", "include", "none" - `invoice_types` (array) - `organization_id` (string, required) - `override_statement_template` (string) If set, a specific template is used - `save_statement_on_customer_record` (boolean, required) - `statement_template_id` (string) Template to use, if not the default ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields